Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx.tips
Class DefaultTipOfTheDayModel

    java.lang.Object
      org.jdesktop.swingx.tips.DefaultTipOfTheDayModel

All Implemented Interfaces:
  TipOfTheDayModel

    public class DefaultTipOfTheDayModel

extends java.lang.Object
implements TipOfTheDayModel

Default `TipOfTheDayModel` implementation.

Author:
  Frederic Lavigne

Nested Class Summary

Nested classes/interfaces inherited from interface org.jdesktop.swingx.tips.TipOfTheDayModel
`TipOfTheDayModel.Tip`

Constructor Summary
`DefaultTipOfTheDayModel()`
`DefaultTipOfTheDayModel(java.util.Collection<TipOfTheDayModel.Tip> tips)`
`DefaultTipOfTheDayModel(TipOfTheDayModel.Tip[] tips)`

Method Summary
`void` | `add(TipOfTheDayModel.Tip tip)`
`TipOfTheDayModel.Tip` | `getTipAt(int index)`
`int` | `getTipCount()`
`TipOfTheDayModel.Tip[]` | `getTips()`
`void` | `remove(TipOfTheDayModel.Tip tip)`
`void` | `setTips(TipOfTheDayModel.Tip[] tips)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultTipOfTheDayModel

    public DefaultTipOfTheDayModel()

### DefaultTipOfTheDayModel

    public DefaultTipOfTheDayModel(TipOfTheDayModel.Tip[] tips)

### DefaultTipOfTheDayModel

    public DefaultTipOfTheDayModel(java.util.Collection<TipOfTheDayModel.Tip> tips)

Method Detail

### getTipAt

    public TipOfTheDayModel.Tip getTipAt(int index)

  Specified by:
    `getTipAt` in interface `TipOfTheDayModel`
  Returns:
    the tip at `index`

### getTipCount

    public int getTipCount()

  Specified by:
    `getTipCount` in interface `TipOfTheDayModel`
  Returns:
    the number of tips in this model

### add

    public void add(TipOfTheDayModel.Tip tip)

### remove

    public void remove(TipOfTheDayModel.Tip tip)

### getTips

    public TipOfTheDayModel.Tip[] getTips()

### setTips

    public void setTips(TipOfTheDayModel.Tip[] tips)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.